edu.ucsb.nceas.metacat.index

## Class IndexEventMapStore

- java.lang.Object
- - edu.ucsb.nceas.metacat.index.IndexEventMapStore

- All Implemented Interfaces:
    com.hazelcast.core.MapLoader<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>, com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>

      public class IndexEventMapStore
      extends java.lang.Object
      implements com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>, com.hazelcast.core.MapLoader<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexEventMapStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(org.dataone.service.types.v1.Identifier identifier)`
    `void` | `deleteAll(java.util.Collection<org.dataone.service.types.v1.Identifier> identifiers)`
    `edu.ucsb.nceas.metacat.common.index.event.IndexEvent` | `load(org.dataone.service.types.v1.Identifier identifier)` The map store/loader methods
    `java.util.Map<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>` | `loadAll(java.util.Collection<org.dataone.service.types.v1.Identifier> identifiers)`
    `java.util.Set<org.dataone.service.types.v1.Identifier>` | `loadAllKeys()`
    `void` | `store(org.dataone.service.types.v1.Identifier identifier, edu.ucsb.nceas.metacat.common.index.event.IndexEvent event)`
    `void` | `storeAll(java.util.Map<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent> indexEventMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexEventMapStore

          public IndexEventMapStore()

  - ### Method Detail

    - #### load

          public edu.ucsb.nceas.metacat.common.index.event.IndexEvent load(org.dataone.service.types.v1.Identifier identifier)

      The map store/loader methods
      Specified by:
        `load` in interface `com.hazelcast.core.MapLoader<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### loadAll

          public java.util.Map<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent> loadAll(java.util.Collection<org.dataone.service.types.v1.Identifier> identifiers)

      Specified by:
        `loadAll` in interface `com.hazelcast.core.MapLoader<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### loadAllKeys

          public java.util.Set<org.dataone.service.types.v1.Identifier> loadAllKeys()

      Specified by:
        `loadAllKeys` in interface `com.hazelcast.core.MapLoader<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### delete

          public void delete(org.dataone.service.types.v1.Identifier identifier)

      Specified by:
        `delete` in interface `com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### deleteAll

          public void deleteAll(java.util.Collection<org.dataone.service.types.v1.Identifier> identifiers)

      Specified by:
        `deleteAll` in interface `com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### store

          public void store(org.dataone.service.types.v1.Identifier identifier,
                            edu.ucsb.nceas.metacat.common.index.event.IndexEvent event)

      Specified by:
        `store` in interface `com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

    - #### storeAll

          public void storeAll(java.util.Map<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent> indexEventMap)

      Specified by:
        `storeAll` in interface `com.hazelcast.core.MapStore<org.dataone.service.types.v1.Identifier,edu.ucsb.nceas.metacat.common.index.event.IndexEvent>`

Copyright © 2023 Regents of the University of California. All Rights Reserved.